Subject: [manet] Network Information Theory

From: Vikas Kawadia <[email-masked]>
Date: Mon, 21 Oct 2002 14:06:12 -0500 (CDT)

This is a  message from Prof. P. R. Kumar. I am posting for him, since he 
had some problems posting from his account.
Thanks
Vikas

--------------------------

Dear Manet colleagues:

Attached is the link of a paper that may be of interest to MANET members:
http://black.csl.uiuc.edu/~prkumar/ps_files/net_inf_theory.pdf

Here is the core of the issue that the paper deals with.

The present proposal for ad hoc networks, around which many efforts in this 
group are centered, is to operate them in a multi-hop manner, where, at each
hop, packets are fully decoded, treating all interference as noise.
This mode of operation has several advantages.
First, the receivers can be simple, since all interference can simply
be treated as noise. Second, the multi-hop operation allows us to think
of the hops as traversing "links," and so gives rise to the convenient
abstraction of "links in space."

This proposed mode of operation gives rise to several
protocol needs. First, since we one needs to find multi-hop paths to 
destinations, it gives rise to the "routing problem." Second, since all 
interference is treated as noise, it is desirable to reduce interference
in the vicinity of the receiver. This gives rise to the "media access control
problem." Third, since all interference is treated as noise, one attempts to 
reduce the power levels of transmissions to reduce the interference. 
This gives rise to the "power control problem."
 
However, a fundamental question that one should first ask,
before doing any protocol design, is:
Is this really the right way to operate wireless ad hoc networks?

For example, is it really fine to treat interference as noise?
Note that doing so gives rise to the notion of "collisions."
However, packets need not collide. For example, if a node is transmitting at
low power to an intended receiver, and simultaneously there is a high powered
interferer, then the receiving node can first estimate the high powered
interference, and subtract it, thus recovering the low
powered packet. The packets thus do not destructively collide.

The problem is that wireless networks do not come with links, and so they
can be operated in all kinds of ways. For example, one could simply broadcast 
signals at high power level, without any relaying. Then receivers could simply 
do sophisticated multi-user detection.
This alternative would give rise to the need for a separate set of protocols.
For example the need for multi-user detection would give rise to
the need for more sophisticated signal processing algorithms.
On the other hand there would be no routing problem, etc.

Other possibilities exist too, which cannot be ruled out a priori.
For example a group of nodes could try to cancel the interference of another 
group of nodes at a third set of nodes, rather than more
"positively" cooperating by relaying each others packets.

The problem is that nothing can be ruled out a priori.

This paper addresses the fundamental issue of how nodes should cooperate in a 
wireless network. One result that should be of interest to this group is that 
when the medium has any absorption or high attenuation, then the proposed 
multi-hop mode of operation is indeed order optimal.
This provides a sound foundation for all the protocol work going on.

However, when the medium has no absorption all then other interesting
for operating wireless networks emerge, which are described in the paper.

The paper also shows a fundamental bound on the information
that can be transported across a wireless network in terms of the
total power used for transmissions, etc.

To cut a long story short, the paper attempts to provide a sound foundation to 
the whole problem of protocol development for ad hoc networks.
It provides a connection between network information theory and
protocol development.

--Kumar

--------------
P. R. Kumar
Franklin W. Woeltge Professor
Dept. of Electrical and Computer Engineering, and
Research Professor, Coordinated Science Lab

Campus Office: Room 163, C&SRL Bldg 	Campus Mail Code: MC-228
Mailing Address: 	 		Office: 217-333-7476
Univ. of Illinois      			Secretary: 217-333-0282
CSL					Fax: 217-244-1653
1308 West Main St			WWW: http://black.csl.uiuc.edu/~prkumar
Urbana, IL 61801			Email: [email-masked]

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet